% P33Recap.m StatusNearOptimal
% COPYRIGHT:  Aprend Technology, 2012. All rights reserved.
 
%% init vars
post_title = 'P33Recap';
dirname = ['G:\Projects\Blog\Posts\' post_title '\'];

%% compute M for two-bin PHA
[specdat.specnum,specdat.egys] = ...
    XrayTubeSpectrumTasmip(120,'number_spectrum','clipzeros'); 
    % 120 kV, 1 keV step
negys = numel(specdat.egys); % number of energies in spectrum
kthreshold = round(negys/2); % threshold index for the two-bin PHA
   % basis functions are the attenuation coefficients of water and aluminum
fbasis = zeros(negys,2);
fbasis(:,1) = xraymu('H2O',specdat.egys);
fbasis(:,2) = xraymu('Al',specdat.egys);
   % compute M
M = zeros(2,2);
idxs2bins = {1:kthreshold,(kthreshold+1):negys}; % indexes to the PHA bins
for kbin = 1:2
     idxs = idxs2bins{kbin};
     for kbasis = 1:2
        M(kbin,kbasis) = sum(specdat.specnum(idxs).*fbasis(idxs,kbasis))/ ...
            sum(specdat.specnum(idxs));
     end
end

%% display result
disp('M')
disp(M)